Package weka.classifiers.bayes.net.search.ci

# Class CISearchAlgorithm

java.lang.Object
weka.classifiers.bayes.net.search.SearchAlgorithm
weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
weka.classifiers.bayes.net.search.ci.CISearchAlgorithm

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `ICSSearchAlgorithm`

public class CISearchAlgorithm extends LocalScoreSearchAlgorithm
The CISearchAlgorithm class supports Bayes net structure search algorithms that are based on conditional independence test (as opposed to for example score based of cross validation based search algorithms).

Valid options are:

     -mbc
      Applies a Markov Blanket correction to the network structure,
      after a network structure is learned. This ensures that all
      nodes in the network are part of the Markov blanket of the
      classifier node.

     -S [BAYES|MDL|ENTROPY|AIC|CROSS_CLASSIC|CROSS_BAYES]
      Score type (BAYES, BDeu, MDL, ENTROPY and AIC)

Version:
  $Revision: 1.7 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm

`TAGS_SCORE_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`CISearchAlgorithm()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`String`
`globalInfo()`
Returns a string describing this object

### Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm

`buildStructure, calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getOptions, getScoreType, listOptions, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setOptions, setScoreType`

### Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm

`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CISearchAlgorithm

public CISearchAlgorithm()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this object

Overrides:
  `globalInfo` in class `LocalScoreSearchAlgorithm`
Returns:
  a description of the classifier suitable for displaying in the explorer/experimenter gui

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `LocalScoreSearchAlgorithm`
Returns:
  the revision